Bug 1298864 (CVE-2015-8770) - CVE-2015-8770 roundcube: remote code execution
Summary: CVE-2015-8770 roundcube: remote code execution
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2015-8770
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1298865
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-15 09:43 UTC by Andrej Nemec
Modified: 2019-09-29 13:42 UTC (History)
4 users (show)

Fixed In Version: roundcubemail 1.1.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-14 15:29:48 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-01-15 09:43:58 UTC
High-Tech Bridge Security Research Lab discovered a path traversal vulnerability in a popular webmail client Roundcube. Vulnerability can be exploited to gain access to sensitive information and under certain circumstances to execute arbitrary code and totally compromise the vulnerable server.

The vulnerability exists due to insufficient sanitization of "_skin" HTTP POST parameter in "/index.php" script when changing between different skins of the web application. A remote authenticated attacker can use path traversal sequences (e.g. "../../") to load a new skin from arbitrary location on the system, readable by the webserver. 

Original report with reproducer:

http://seclists.org/bugtraq/2016/Jan/60

Comment 1 Andrej Nemec 2016-01-15 09:44:22 UTC
Created roundcubemail tracking bugs for this issue:

Affects: epel-all [bug 1298865]


Note You need to log in before you can comment on or make changes to this bug.